//
//  PageRouter.swift
//  NasaProj
//
//  Created by NATCHANON TREERATTANANUKUL on 25/6/2566 BE.
//  Copyright (c) 2566 BE ___ORGANIZATIONNAME___. All rights reserved.
//
//  This file was generated by the Clean Swift Xcode Templates so
//  you can apply clean architecture to your iOS and Mac projects,
//  see http://clean-swift.com
//

import UIKit

protocol PageRoutingLogic
{
    func navigateToDetail (apodModels apod: Page.ApodModels.ViewModel.FetchModels)
}

protocol PageDataPassing
{
  var dataStore: PageDataStore? { get }
}

class PageRouter: NSObject, PageRoutingLogic, PageDataPassing
{
  weak var viewController: PageViewController?
  var dataStore: PageDataStore?
    
  // MARK: Navigate to detail screen
    
    func navigateToDetail (apodModels apod: Page.ApodModels.ViewModel.FetchModels) {
        let storyBoard: UIStoryboard = UIStoryboard(name: "DetailView", bundle: nil)
        let detailVC = storyBoard.instantiateViewController(withIdentifier: "DetailScreen") as! DetailViewController
        
        detailVC.apod = apod
        viewController!.show(detailVC, sender: self)
    }
}
